### Virtual Method

# Camel OfflineStore dup_downsync_folders

since: 3.28

#### Declaration [src]

    GPtrArray*
    dup_downsync_folders (
      CamelOfflineStore* store
    )

#### Description [src]

Returns a `GPtrArray` of `CamelFolder` objects which should be checked for offline synchronization. Free the returned pointer with the below calls, when no longer needed:

        g_ptr_array_foreach (array, (GFunc) g_object_unref, NULL);
        g_ptr_array_free (array, TRUE);

Available since: 3.28

#### Return value

Type: An array of `CamelFolder*`

An array with folders to be checked for offline synchronization.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.